@echo off
sanserif /p
set return=
        rem in case ANSI driver present:
        rem set screen color to bright white on blue
wbat cls ! ansi? [37;44;1m

set name=Horst Schaeffer
set city=Munich
        rem start box
        rem using default source file: DEMO.TXT
wbat box @:start
        rem El 1: start, 2: exit, 255: error
if errorlevel 255 pause
if errorlevel 2 goto exit

set mpos=1
:main index  -----------------------------------------------------------
wbat cls ! menu @:index #%mpos% > %temp%\wtemp.bat
call %temp%\wtemp.bat
        rem keep mpos: bar position
for %%a in (0 1 2 3 4 5 6 7 8 9) do if errorlevel %%a set mpos=%%a
goto %wbat%  (go index items by label)

:general information ...................................................
        rem display text pages with a "quick" button
wbat cls ! text 2,4 @:general    ! box 25,50 continue,return
if errorlevel 2 goto main
wbat cls ! text 2,4 @:gen_layout ! box 18,30 "continue?" ok,cancel
if errorlevel 2 goto main
wbat cls ! text 2,4 @:gen_return ! box 18,35 ok
goto main

:dialog box ------------------------------------------------------------
wbat cls ! box @:dialog_menu > %temp%\wtemp.bat
call %temp%\wtemp.bat
if %wbat%==return goto main
goto %wbat%

:Syntax  ...............................................................
wbat cls ! text 2,4 @:syntax

:Comm_opt ......... this menu box is always shown on the following pages
wbat menu 25,70 @:command_spec > %temp%\wtemp.bat
call %temp%\wtemp.bat
if %wbat%==return goto dialog
        rem show text by label from command_spec menu item
wbat cls ! text 2,4 @:com_%wbat%
goto comm_opt

:Control ...............................................................
wbat cls ! text 2,4 @:layout

:elements
wbat menu 25,70 @:control_elements > %temp%\wtemp.bat
call %temp%\wtemp.bat
if %wbat%==return goto dialog
wbat cls ! text 2,4 @:ctl_%wbat%
goto elements

:Handling ..............................................................
wbat cls ! text 2,4 @:handling

:keys
wbat menu 25,70 @:keys > %temp%\wtemp.bat
call %temp%\wtemp.bat
if %wbat%==return goto dialog
wbat cls ! text 2,4 @:key_%wbat%
goto keys

:Variables .............................................................
wbat cls ! text 2,4 @:variables

:var_menu
wbat menu 25,70 @:var_menu > %temp%\wtemp.bat
call %temp%\wtemp.bat
if %wbat%==return goto dialog
wbat cls ! text 2,4 @:var_%wbat% | wbat box 20,55 "pls. read the next page" ok
wbat cls ! text 2,4 @:var_%wbat%_cont
goto var_menu

:Examples ..............................................................
wbat cls ! text 2,4 @:examples

:exm_menu
wbat menu 25,70 @:exm_menu > %temp%\wtemp.bat
call %temp%\wtemp.bat
if %wbat%==return goto dialog
        rem example=wbat=1...
set ex=%wbat%
set WRB=
wbat cls ! box @:example_%ex% > %temp%\wtemp.bat
        rem show debug box
call wdebug.bat %temp%\wtemp.bat
        rem example box as text
wbat text 3,5 "This is the Layout"
wbat text 9,22 (+white on magenta) @:example_%ex%
wbat box 20,60 ok
goto exm_menu

:screen - text display -------------------------------------------------
wbat cls ! box @:screen_menu > %temp%\wtemp.bat
call %temp%\wtemp.bat
if %wbat%==return goto main
goto S_%wbat%

:S_screen ..............................................................
wbat cls ! text 2,4 @:screen

:s_menu
wbat menu 25,70 @:screen_commands > %temp%\wtemp.bat
call %temp%\wtemp.bat
if %wbat%==return goto screen
if %wbat%==ansi? goto s_ansi?
wbat cls ! text 2,4 @:scr_%wbat%
goto s_menu

:s_ansi?
wbat ansi?
if not errorlevel 1 goto s_cont
wbat cls ! text 2,4 @:no_ansi
wbat box 20,60 continue,skip
:s_cont
if not errorlevel 2 wbat cls ! text 2,4 @:scr_ansi
goto s_menu

:s_text ................................................................
wbat cls ! text 2,4 @:text

:t_menu
wbat menu 25,70 @:txt_menu > %temp%\wtemp.bat
call %temp%\wtemp.bat
if %wbat%==return goto screen
wbat cls ! text 2,4 @:txt_%wbat%
if not %wbat%==display goto t_menu
wbat text 17,4  (+ white on red) @:txt_ex1
wbat text 17,32 (+ white on red) @:txt_ex2
goto t_menu

:summary ---------------------------------------------------------------
set wbat=command
:rpt_sum
wbat cls! text 2,4 @:sum_%wbat%
wbat menu 25,60 @:summary > %temp%\wtemp.bat
call %temp%\wtemp.bat
if %wbat%==return goto main
goto rpt_sum

:ini    ----------------------------------------------------------------
wbat cls ! box @:setup > %temp%\wtemp.bat
call %temp%\wtemp.bat
if %wbat%==return goto main

wbat cls ! text 2,4 @:set_%wbat% ! box 25,68 ok
if not %wbat%==WBATINI goto ini
wbat cls ! text 2,3 (+white on magenta) @WBAT.INI
wbat box 25,68 OK
goto ini

:tips   ----------------------------------------------------------------
wbat cls! menu @:tips_menu > %temp%\wtemp.bat
call %temp%\wtemp.bat
if %wbat%==return goto main
wbat text 2,4 @:tip_%wbat%
wbat box 25,70 ok
goto tips

:exit
for %%a in (wbat mpos ex name city country wcb1 wcb2 wrb) do set %%a=
rem if exist %temp%\wtemp.bat del %temp%\wtemp.bat
wbat cls (white on black)
sanserif /r
:end
